Skip to main content
POST
/
api
/
v1
/
insights
/
folders
/
{folder_id}
/
upload-file
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";

const syllableSDK = new SyllableSDK({
  apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});

async function run() {
  const result = await syllableSDK.insights.folders.uploadFile({
    folderId: 444923,
    callId: "<id>",
  });

  console.log(result);
}

run();
{
  "id": 123,
  "folder_id": 123,
  "filename": "<string>",
  "object_key": "<string>",
  "call_id": "12345",
  "agent_number": "1234567890",
  "customer_number": "0987654321",
  "duration": 305.5,
  "start_time": "2026-03-29T00:00:00Z",
  "end_time": "2026-03-30T00:00:00Z",
  "error_message": "File not found",
  "metadata": {
    "duration": "00:10:00",
    "size": "10MB"
  },
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Syllable-API-Key
string
header
required

Path Parameters

folder_id
integer
required

Query Parameters

call_id
string
required

A unique identifier for the call

agent_number
string | null

The phone number or ID of the agent involved.

customer_number
string | null

The phone number or ID of the customer.

start_time
string<date-time> | null

The timestamp of the call's beginning

end_time
string<date-time> | null

The timestamp of the call's end.

duration
number | null

The call duration in seconds.

metadata
string | null

Body

multipart/form-data
file
file

Response

Successful Response

Response model for an insight upload file.

id
integer
required

System-assigned ID for the upload file

Example:

182764

folder_id
integer
required

System-assigned ID for the folder to which the file belongs

Example:

182764

filename
string
required

Name of the uploaded file

Example:

"customer-complaints.wav"

object_key
string
required

Object-store key of the uploaded file

Example:

"UPLOAD_CALL_ID/recording/2025/04/22/15/00/ce7d212e-80b0-4f0b-9e01-74322f146611.mp3"

call_id
string | null

Unique identifier for the call associated with the uploaded file

Example:

"12345"

agent_number
string | null

Agent number associated with the uploaded file

Example:

"1234567890"

customer_number
string | null

Customer number associated with the uploaded file

Example:

"0987654321"

duration
number | null

Length in seconds of the uploaded recording

Example:

305.5

start_time
string<date-time> | null

Start time of the uploaded file

Example:

"2026-03-29T00:00:00Z"

end_time
string<date-time> | null

End time of the uploaded file

Example:

"2026-03-30T00:00:00Z"

error_message
string | null

Error message associated with the uploaded file

Example:

"File not found"

metadata
Metadata · object

Meta-data associated with the uploaded file

Example:
{ "duration": "00:10:00", "size": "10MB" }
created_at
string<date-time>

Timestamp at which insight upload file was created

Example:

"2026-03-29T00:00:00Z"